using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PoopController : MonoBehaviour
{
    public GameObject PoopInGroundPrefab;
    private void OnCollisionEnter(Collision other)
    {

        Instantiate(PoopInGroundPrefab, transform.position, Quaternion.AngleAxis(90f, Vector3.right));
        Destroy(gameObject);

    }

    private void OnTriggerEnter(Collider other)
    {
        if (other.gameObject.tag == "kiss_target")
        {
            Destroy(other.gameObject);
            other.gameObject.transform.parent.gameObject.GetComponent<KissingEventController>().MissionSuccess();
        }
    }
}
